## Learning Objectives

### Values and Variables
- store values in [variables](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Values,_variables,_and_literals#Declaring_variables) (01)
- store the return value of a function call in a variable (01)
- use [comparison operators](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Operators/Comparison_Operators) to store booelan values in variables (02)

### Arithmetic Operators and the Math Object
- Use [`Math.random()`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Math/random) to generate a random number (00)
- use the [`floor` method of the `Math` Object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Math/floor) to round a number (01)
- use [arithmetic operators](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Operators/Arithmetic_Operators) on variables (01)
- use the [`++` shorthand](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Expressions_and_Operators#Arithmetic_operators) to increment a value (03)

### Strings
- call the [`toLowerCase`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/toLowerCase) method on String (02)
- call the [`indexOf`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/indexOf) method on a String (02)
- use [regular expressions](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Regular_Expressions) to validate user input (02)

### Arrays
- create an empty [array](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array#Example.3A_Creating_an_array) object (01)
- access the [property `length`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/length) on an array (01)
- [access a value in an array](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array#Accessing_array_elements) using bracket notation and an index (01)
- add elements to an array using the [`push` function](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/push) (03)
- use [`slice`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/slice) to create a new array by selecting a portion of another array (06)
- use [`join`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/join) to build a string from an array (06)

### Control Flow
- use comparisons to change [control flow](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Statements) using [if...else statements](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/if...else) (02)
- [iterate](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Statements#for_Statement) over an array using a [`for` loop](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/for) (03)
- nest statements and loops to properly execute game logic (03)

### Functions 
- [Call a function](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Functions#Calling_functions) with a parameter (00)
- [return a value](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions_and_function_scope#Example:_Returning_a_formatted_number) from a function (01)
- define a [function](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Functions#Defining_functions) that takes an argument (04)
- define a [function that returns a value](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions_and_function_scope#Example:_Returning_a_formatted_number) (04)
- refactor a function into multiple functions to improve flexibility (04)

### Browser and DOM Manipulation
- Select an element in the DOM with the [`getElementById`](https://developer.mozilla.org/en-US/docs/Web/API/document.getElementById) function (00)
- Add content to the DOM using the [`innerHTML`](https://developer.mozilla.org/en-US/docs/Web/API/Element.innerHTML) function (00)
- use [`alert`](https://developer.mozilla.org/en-US/docs/Web/API/Window.alert) to deliver information to the user in the browser (05)
- use [`prompt`](https://developer.mozilla.org/en-US/docs/Web/API/Window.prompt) to receive user input in the browser (05)